ros-melodic-mongodb-store-msgs (0.5.2-1stretch) stretch; urgency=high

  * Contributors: Nick Hawes, Shingo Kitagawa, Volker Gabler

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 11 Nov 2019 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.5.1-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'orginal/melodic-devel' into melodic-devel-py3
  * Contributors: Volker Gabler

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.5.0-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 20 Dec 2018 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.4.5-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.4.3-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 04 Apr 2019 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.4.2-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 04 Jun 2018 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.4.1-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 29 May 2018 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.4.0-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 23 May 2018 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.3.8-1stretch) stretch; urgency=high

  * Merge pull request #220 <https://github.com/strands-project/mongodb_store/issues/220> from furushchev/replication-with-query
    Replication with query
  * mongodb_store_msgs: add query slot to MoveEntries action
  * Merge remote-tracking branch 'origin/kinetic-devel' into fix/encode-utf8
  * Merge remote-tracking branch 'origin/kinetic-devel' into option-query-extra
    Conflicts:
    mongodb_store/scripts/message_store_node.py
  * Merge pull request #215 <https://github.com/strands-project/mongodb_store/issues/215> from furushchev/remove-dup-projection
    mongodb_store: Remove duplicated codes for projection
  * mongodb_store: remove duplicated codes for querying with projection
  * Contributors: Furushchev, Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 02 May 2018 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.3.7-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 14 Dec 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.3.6-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 14 Sep 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.3.5-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sun, 03 Sep 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.3.4-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sun, 03 Sep 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.3.3-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sat, 02 Sep 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.3.2-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 31 Aug 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.3.1-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 24 Aug 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.3.0-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 24 Aug 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.2.2-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Jun 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.2.1-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Jun 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.2.0-1stretch) stretch; urgency=high

  * indigo-0.1.30
  * updated Changelogs
  * indigo-0.1.29
  * updated Changelogs
  * [mongodb_store_msgs] add Insert.msg
  * indigo-0.1.28
  * updated Changelogs
  * indigo-0.1.27
  * updated Changelogs
  * Contributors: Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Jun 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.30-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 23 Jun 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.29-1stretch) stretch; urgency=high

  * [mongodb_store_msgs] add Insert.msg
  * Contributors: Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 19 Jun 2017 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.28-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 09 Nov 2016 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.27-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 01 Nov 2016 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.26-1stretch) stretch; urgency=high

  * Created a new service for querying with projections
  * Projection field to the queries is added
  * indigo-0.1.25
  * Updating changelogs
  * indigo-0.1.24
  * updated Changelogs
  * Contributors: Nick Hawes, hkaraoguz

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 14 Oct 2016 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.25-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 28 Apr 2016 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.24-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 19 Apr 2016 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.23-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 19 Apr 2016 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.22-1stretch) stretch; urgency=high

  * indigo-0.1.22
  * updated Changelogs
  * Contributors: Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 23 Feb 2016 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.20-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 11 Nov 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.19-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Oct 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.18-1stretch) stretch; urgency=high

  * updated Changelogs
  * [mongodb_store] add limit argument for query
  * Contributors: Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 28 Oct 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.17-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 01 Sep 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.16-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 04 Aug 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.15-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sun, 10 May 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.14-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 27 Apr 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.13-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 22 Apr 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.12-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 09 Feb 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.11-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 09 Feb 2015 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.10-1stretch) stretch; urgency=high

  * Replication now has db configurable.
    This fixes #54 <https://github.com/strands-project/mongodb_store/issues/54>.
  * Contributors: Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sun, 23 Nov 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.9-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 18 Nov 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.8-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 11 Nov 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.7-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sun, 09 Nov 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.6-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 06 Nov 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.5-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 05 Nov 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.4-1stretch) stretch; urgency=high

  * add sort option on query
  * Contributors: Furushchev

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 29 Oct 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.3-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 21 Oct 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.2-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 20 Oct 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.1-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 17 Oct 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.1.0-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 16 Oct 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.0.5-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 09 Oct 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.0.4-1stretch) stretch; urgency=high



 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sat, 13 Sep 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.0.3-1stretch) stretch; urgency=high

  * Renamed ros_datacentre to mongodb_store for to fix #69 <https://github.com/strands-project/ros_datacentre/issues/69>.
  * Contributors: Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 18 Aug 2014 00:00:00 -0000

ros-melodic-mongodb-store-msgs (0.0.2-1stretch) stretch; urgency=high

  * Changed collections type to StringList to allow for datacentre comms to task schduler.
  * Change action definition to use duration into the past.
  * Working and tested dump and restore with time bounds.
  * Added dump and restore.
  * Adds a service to delete message by ID
  * Adds a service to delete message by ID
  * Proof of concept working with C++ BSON library.
  * Working update method on the python side. Will not work in C++ yet.
  * Removed unused MongoQueryID.srv
  * Added update message type.
  * Message store queries now return meta as well as message.
    This is only in the python client for now, but is simple to add to C++. This could be inefficient, so in the future potentially add non-meta options.
  * Now using json.dumps and loads to do better queries from python. C++ is still a pain though.
  * Query now returns the messages asked for
  * Query structure in place
  * Meta stuff working on the way in. Starting to think about querying.
  * Added meta information as a list of string pairs
  * Working across languages with return value now.
  * Working from the C++ end, but this invalidates the Python again.
  * Basic idea works python to python
  * Service code runs (not working though)
  * Adding an insert service and the start of a message store to provide it.
  * Contributors: Nick Hawes, cburbridge

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 07 Aug 2014 00:00:00 -0000


